package com.yidianling.im.bean;


import com.ydl.ydlcommon.bean.ShareData;

import java.util.List;

/**
 * 站内信--系统消息
 * Created by harvie on 2017/6/12 0012.
 */

public class SystemMsgBean {

    private String post_time;//时间

    private List<SystemMBean> items;//内容列表

    public String getPost_time() {
        return post_time;
    }

    public void setPost_time(String post_time) {
        this.post_time = post_time;
    }

    public List<SystemMBean> getItems() {
        return items;
    }

    public void setItems(List<SystemMBean> items) {
        this.items = items;
    }

    public static class SystemMBean {
        private String id;
        private String uid;
        private String content;
        private String is_read;
        private String image_url;
        private String link;
        private ShareData share;
        private String create_time;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getUid() {
            return uid;
        }

        public void setUid(String uid) {
            this.uid = uid;
        }

        public String getContent() {
            return content;
        }

        public void setContent(String content) {
            this.content = content;
        }

        public String getIs_read() {
            return is_read;
        }

        public void setIs_read(String is_read) {
            this.is_read = is_read;
        }

        public String getImage_url() {
            return image_url;
        }

        public void setImage_url(String image_url) {
            this.image_url = image_url;
        }

        public String getLink() {
            return link;
        }

        public void setLink(String link) {
            this.link = link;
        }

        public String getCreate_time() {
            return create_time;
        }

        public void setCreate_time(String create_time) {
            this.create_time = create_time;
        }

        public ShareData getShare() {
            return share;
        }

        public void setShare(ShareData share) {
            this.share = share;
        }
    }
}
